Gets details about a thread in a 1:1 App DM space.
Supports the following types of authentication:
- App authentication with the authorization scope:
https://www.googleapis.com/auth/chat.bot
Only supported in 1:1 App DM spaces. Calls in other space types or using user authentication will return an error.
HTTP request
GET https://chat.googleapis.com/v1/{name=spaces/*/threads/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Resource name of the thread to retrieve. Format: |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Thread.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chat.bot
For more information, see the Authorization guide.